#
# Makefile to create the encoding vectors.
# Copyright (c) 1995-1998 Markku Rossi
#
# Author: Markku Rossi <mtr@iki.fi>
#

#
# This file is part of GNU Enscript.
#
# Enscript is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Enscript is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Enscript.  If not, see <http://www.gnu.org/licenses/>.
#

ENCODINGS = ascii.enc asciifise.enc asciidkno.enc ibmpc.enc mac.enc \
vms.enc hp8.enc koi8.enc 88591.enc 88592.enc 88593.enc 88594.enc \
88595.enc 88597.enc 88599.enc 885910.enc

all: $(ENCODINGS)

ascii.enc: ../ascii.txt
	./make-encoding.pl ../ascii.txt >ascii.enc

asciifise.enc: ../asciifise.txt
	./make-encoding.pl ../asciifise.txt >asciifise.enc

asciidkno.enc: ../asciidkno.txt
	./make-encoding.pl ../asciidkno.txt >asciidkno.enc

ibmpc.enc: ../ibmpc.txt
	./make-encoding.pl ../ibmpc.txt >ibmpc.enc

88591.enc: ../88591.txt
	./make-encoding.pl ../88591.txt >88591.enc

88592.enc: ../88592.txt
	./make-encoding.pl ../88592.txt >88592.enc

88593.enc: ../88593.txt
	./make-encoding.pl ../88593.txt >88593.enc

88594.enc: ../88594.txt
	./make-encoding.pl ../88594.txt >88594.enc

88595.enc: ../88595.txt
	./make-encoding.pl ../88595.txt >88595.enc

88597.enc: ../88597.txt
	./make-encoding.pl ../88597.txt >88597.enc

88599.enc: ../88599.txt
	./make-encoding.pl ../88599.txt >88599.enc

885910.enc: ../885910.txt
	./make-encoding.pl ../885910.txt >885910.enc

mac.enc: ../mac.txt
	./make-encoding.pl ../mac.txt >mac.enc

vms.enc: ../vms.txt
	./make-encoding.pl ../vms.txt >vms.enc

hp8.enc: ../hp8.txt
	./make-encoding.pl ../hp8.txt >hp8.enc

koi8.enc: ../koi8.txt
	./make-encoding.pl ../koi8.txt >koi8.enc

clean:
	rm -f $(ENCODINGS)
