# Makefile.sub for `glilypond'

# File position: <groff-source>/contrib/lilypond/Makefile.sub

# Copyright (C) 2013-2014  Free Software Foundation, Inc.
# Written by Werner Lemberg <wl@gnu.org> and
# Bernd Warken <groff-bernd.warken-72@web.de>.

# This file is part of `glilypond' which is part of `groff'.

# `groff' is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# `groff' is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

########################################################################

MAN1=glilypond.n

MOSTLYCLEANADD=glilypond $(MAN1)

all: glilypond

# files going to lib directory `$(glilypond_dir)'

GLILYPOND_LIB=\
  $(srcdir)/subs.pl \
  $(srcdir)/oop_fh.pl \
  $(srcdir)/args.pl

GLILYPOND_LIB_=`echo $(GLILYPOND_LIB) | sed 's|$(srcdir)/||g'`

RM=rm -f

# create perl executable `glilypond', being stored into `bindir'

glilypond: $(srcdir)/glilypond.pl
	$(RM) $@
	sed -f "$(SH_DEPS_SED_SCRIPT)" \
	    -e "s|@g@|$(g)|g" \
	    -e "s|@BINDIR@|$(DESTDIR)$(bindir)|g" \
	    -e "s|@glilypond_dir@|$(DESTDIR)$(glilypond_dir)|g" \
	    -e "s|@VERSION@|$(version)$(revision)|g" \
	    $(srcdir)/glilypond.pl >$@
	chmod +x $@

install_data: glilypond $(GLILYPOND_LIB)
	-test -d $(DESTDIR)$(bindir) \
	  || $(mkinstalldirs) $(DESTDIR)$(bindir)
	$(RM) $(DESTDIR)$(bindir)/glilypond
	$(INSTALL_SCRIPT) glilypond $(DESTDIR)$(bindir)/glilypond
	-test -d $(DESTDIR)$(glilypond_dir) \
	  || $(mkinstalldirs) $(DESTDIR)$(glilypond_dir)
	for f in $(GLILYPOND_LIB_); do \
	  $(RM) $(DESTDIR)$(glilypond_dir)/$$f; \
	  $(INSTALL_SCRIPT) $(srcdir)/$$f $(DESTDIR)$(glilypond_dir)/$$f; \
	done

uninstall_sub:
	$(RM) $(DESTDIR)$(bindir)/glilypond
	-for f in $(GLILYPOND_LIB_); do \
	  $(RM) $(DESTDIR)$(glilypond_dir)/$$f; \
	done
	-test -d $(DESTDIR)$(glilypond_dir) && \
	  rmdir $(DESTDIR)$(glilypond_dir)

########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:
