# Copyright 1991-2014  Free Software Foundation, Inc.
#
# This file is part of groff.
#
# groff is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# groff is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
# Makefile.sub
#
#
PROG=mmroff
MAN1=\
  mmroff.n
MAN7=\
  groff_mm.n \
  groff_mmse.n
FILES=0.MT 5.MT 4.MT ms.cov se_ms.cov
# Local configuration files with default values.
LOCALE=locale se_locale
MOSTLYCLEANADD=temp
RM=rm -f

all: mmroff

install_bin: install_mmroff

install_data: install_m
	-test -d $(DESTDIR)$(tmacdir)/mm \
	  || $(mkinstalldirs) $(DESTDIR)$(tmacdir)/mm
	for f in $(FILES); do \
	  $(RM) $(DESTDIR)$(tmacdir)/mm/$$f; \
	  $(INSTALL_DATA) $(srcdir)/mm/$$f $(DESTDIR)$(tmacdir)/mm/$$f; \
	done
	for f in $(LOCALE); do \
	  test -f $(DESTDIR)$(tmacdir)/mm/$$f \
	    || touch $(DESTDIR)$(tmacdir)/mm/$$f; \
	done
	$(INSTALL_DATA) $(srcdir)/refer-mm.tmac \
	  $(DESTDIR)$(tmacdir)/refer-mm.tmac

install_m:
	-test -d $(DESTDIR)$(tmacdir) || $(mkinstalldirs) $(DESTDIR)$(tmacdir)
	$(RM) $(DESTDIR)$(tmacdir)/tmac.$(tmac_m_prefix)m
	$(RM) $(DESTDIR)$(tmacdir)/$(tmac_m_prefix)m.tmac
	$(INSTALL_DATA) $(srcdir)/m.tmac \
	  $(DESTDIR)$(tmacdir)/$(tmac_m_prefix)m.tmac
	@sed -e "s;^.mso m.tmac;.mso $(tmac_m_prefix)m.tmac;g" \
	  $(srcdir)/mse.tmac > $(DESTDIR)$(tmacdir)/$(tmac_m_prefix)mse.tmac
	@sed -e "s;^.mso mse.tmac;.mso $(tmac_m_prefix)mse.tmac;g" \
	  $(srcdir)/mmse.tmac > $(DESTDIR)$(tmacdir)/$(tmac_m_prefix)mmse.tmac
	@sed -e "s;^.mso m.tmac;.mso $(tmac_m_prefix)m.tmac;g" \
	  $(srcdir)/mm.tmac > $(DESTDIR)$(tmacdir)/$(tmac_m_prefix)mm.tmac

install_mmroff: mmroff
	-test -d $(DESTDIR)$(bindir) || $(mkinstalldirs) $(DESTDIR)$(bindir)
	$(RM) $(DESTDIR)$(bindir)/mmroff
	$(INSTALL_SCRIPT) mmroff $(DESTDIR)$(bindir)/mmroff

mmroff: mmroff.pl
	sed -e 's;/usr/bin/perl;$(PERL);' $(srcdir)/mmroff.pl >$@
	chmod +x $@

uninstall_sub:
	-for f in $(FILES); do $(RM) $(DESTDIR)$(tmacdir)/mm/$$f; done
	-for f in $(LOCALE); do \
	  test -s $(DESTDIR)$(tmacdir)/mm/$$f \
	    || $(RM) $(DESTDIR)$(tmacdir)/mm/$$f; \
	done
	$(RM) $(DESTDIR)$(tmacdir)/tmac.$(tmac_m_prefix)m
	$(RM) $(DESTDIR)$(tmacdir)/$(tmac_m_prefix)m.tmac
	$(RM) $(DESTDIR)$(tmacdir)/$(tmac_m_prefix)mm.tmac
	$(RM) $(DESTDIR)$(tmacdir)/$(tmac_m_prefix)mse.tmac
	$(RM) $(DESTDIR)$(tmacdir)/$(tmac_m_prefix)mmse.tmac
	$(RM) $(DESTDIR)$(tmacdir)/refer-mm.tmac
	-test -d $(DESTDIR)$(tmacdir)/mm && \
	  rmdir $(DESTDIR)$(tmacdir)/mm
	$(RM) $(DESTDIR)$(bindir)/mmroff

########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:
