# Makefile.sub for `font devcp1047'
#
# File position: <groff-source>/font/devcp1047/Makefile.sub
#
# Copyright (C) 2014
#   Free Software Foundation, Inc.
#
# Last update: 2 Sep 2014
#
# This file is part of `font utf8' which is part of `groff'.
#
# `groff' is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# `groff' is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see
# <http://www.gnu.org/licenses/gpl-2.0.html>.
#
########################################################################

DEV=cp1047
FONTS=R I B BI
DEVFILES=$(FONTS) DESC
MOSTLYCLEANADD=$(FONTS) DESC

RES=240
CPI=10
LPI=6

RM=rm -f

$(FONTS): R.proto
	@echo Making $@
	@$(RM) $@
	@charwidth=`expr $(RES) / $(CPI)` ; \
	 sed -e "s/^name [A-Z]*$$/name $@/" \
	     -e \
	      "s/^\\([^	]*\\)	[0-9][0-9]*	/\\1	$$charwidth	/" \
	     -e "s/^spacewidth [0-9][0-9]*$$/spacewidth $$charwidth/" \
	     -e "s/^internalname .*$$/internalname $@/" \
	     -e "/^internalname/s/BI/3/" \
	     -e "/^internalname/s/B/2/" \
	     -e "/^internalname/s/I/1/" \
	     -e "/^internalname .*[^ 0-9]/d" \
	     $(srcdir)/R.proto >$@

DESC: DESC.proto
	@echo Making $@
	@sed -e "s/^res .*$$/res $(RES)/" \
	     -e "s/^hor .*$$/hor `expr $(RES) / $(CPI)`/" \
	     -e "s/^vert .*$$/vert `expr $(RES) / $(LPI)`/" \
	     -e "s/^fonts .*$$/fonts `set $(FONTS); echo $$#` $(FONTS)/" \
	     $(srcdir)/DESC.proto >$@

########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:
