# Makefile.sub for `xditview'
#
# File position: <groff-source>/src/devices/xditview/Makefile.sub
#
# Copyright (C) 2014 Free Software Foundation, Inc.
#
# This file is part of `font utf8' which is part of `groff'.
#
# `groff' is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# `groff' is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see
# <http://www.gnu.org/licenses/gpl-2.0.html>.
#
########################################################################

PROG=gxditview$(EXEEXT)
MAN1=gxditview.n
MLIB=$(LIBM)
XLIBS=$(LIBXUTIL)
EXTRA_CFLAGS=$(X_CFLAGS) -Dlint
EXTRA_LDFLAGS=$(X_LIBS) $(X_PRE_LIBS) -lXaw -lXmu -lXt -lX11 $(X_EXTRA_LIBS)
OBJS=\
  device.$(OBJEXT) \
  draw.$(OBJEXT) \
  Dvi.$(OBJEXT) \
  font.$(OBJEXT) \
  lex.$(OBJEXT) \
  page.$(OBJEXT) \
  parse.$(OBJEXT) \
  xditview.$(OBJEXT)
CSRCS=\
  $(srcdir)/device.c \
  $(srcdir)/draw.c \
  $(srcdir)/Dvi.c \
  $(srcdir)/font.c \
  $(srcdir)/lex.c \
  $(srcdir)/page.c \
  $(srcdir)/parse.c \
  $(srcdir)/xditview.c
HDRS=\
  $(srcdir)/device.h \
  $(srcdir)/Dvi.h \
  $(srcdir)/DviP.h \
  $(srcdir)/Menu.h
GENHDRS=GXditview-ad.h
RM=rm -f

all depend: $(GENHDRS)

GXditview-ad.h: $(srcdir)/GXditview.ad
	@echo Making $@
	$(SHELL) $(srcdir)/ad2c $(srcdir)/GXditview.ad > $@

install_data: $(srcdir)/GXditview.ad $(srcdir)/GXditview-color.ad
	-test -d $(DESTDIR)$(appresdir) \
	  || $(mkinstalldirs) $(DESTDIR)$(appresdir)
	if test -f $(DESTDIR)$(appresdir)/GXditview; then \
	  mv $(DESTDIR)$(appresdir)/GXditview \
	    $(DESTDIR)$(appresdir)/GXditview.old; \
	fi
	if test -f $(DESTDIR)$(appresdir)/GXditview-color; then \
	  mv $(DESTDIR)$(appresdir)/GXditview-color \
	    $(DESTDIR)$(appresdir)/GXditview-color.old; \
	fi
	$(INSTALL_DATA) $(srcdir)/GXditview.ad \
	  $(DESTDIR)$(appresdir)/GXditview
	$(INSTALL_DATA) $(srcdir)/GXditview-color.ad \
	  $(DESTDIR)$(appresdir)/GXditview-color

uninstall_sub:
	$(RM) $(DESTDIR)$(appresdir)/GXditview
	$(RM) $(DESTDIR)$(appresdir)/GXditview-color

########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:
