# Makefile.sub for `src utils afmtodit'
#
# File position: <groff-source>/src/utils/afmtodit/Makefile.sub
#
# Copyright (C) 2013-2014  Free Software Foundation, Inc.
#
# This file is part of groff.
#
# groff is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# groff is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
########################################################################

MAN1=afmtodit.n
MOSTLYCLEANADD=afmtodit
RM=rm -f

all: afmtodit

afmtodit: afmtodit.pl afmtodit.tables
	if test -n "$(PERL)"; then \
	  sed -e "s|/usr/bin/perl|$(PERL)|" \
	      -e "s|@VERSION@|$(version)$(revision)|" \
	      -e "s|@FONTDIR@|$(fontdir)|" \
	      -e "/@afmtodit.tables@/ r $(srcdir)/afmtodit.tables" \
	      -e "/@afmtodit.tables@/ d" \
	      $(srcdir)/afmtodit.pl >afmtodit; \
	else \
	  sed -e "s|@VERSION@|$(version)$(revision)|" \
	      -e "s|@FONTDIR@|$(fontdir)|" \
	      -e "/@afmtodit.tables@/ r $(srcdir)/afmtodit.tables" \
	      -e "/@afmtodit.tables@/ d" \
	      $(srcdir)/afmtodit.pl >afmtodit; \
	fi
	chmod +x afmtodit

install_data: afmtodit
	-test -d $(DESTDIR)$(bindir) || $(mkinstalldirs) $(DESTDIR)$(bindir)
	$(RM) $(DESTDIR)$(bindir)/afmtodit
	$(INSTALL_SCRIPT) afmtodit $(DESTDIR)$(bindir)/afmtodit

uninstall_sub:
	$(RM) $(DESTDIR)$(bindir)/afmtodit

########################################################################
# Emacs settings
########################################################################
#
# Local Variables:
# mode: makefile
# End:
