# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2007 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file can be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext
# functionality.
# Please note that the actual code of GNU gettext is covered by the GNU
# General Public License and is *not* in the public domain.
#
# Origin: gettext-0.17
GETTEXT_MACRO_VERSION = 0.17

PACKAGE = liquidwar6
VERSION = 0.4.3681
PACKAGE_BUGREPORT = ufoot@ufoot.org

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr/local
exec_prefix = ${prefix}
datarootdir = ${prefix}/share
datadir = ${datarootdir}
localedir = ${datarootdir}/locale
gettextsrcdir = $(datadir)/gettext/po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

# We use $(mkdir_p).
# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
# ${SHELL} /home/doug/Downloads/liquidwar6-0.4.3681/install-sh does not start with $(SHELL), so we add it.
# In automake >= 1.10, /bin/mkdir -p is derived from ${MKDIR_P}, which is defined
# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
# versions, $(mkinstalldirs) and $(install_sh) are unused.
mkinstalldirs = $(SHELL) ${SHELL} /home/doug/Downloads/liquidwar6-0.4.3681/install-sh -d
install_sh = $(SHELL) ${SHELL} /home/doug/Downloads/liquidwar6-0.4.3681/install-sh
MKDIR_P = /bin/mkdir -p
mkdir_p = /bin/mkdir -p

GMSGFMT_ = /usr/bin/msgfmt
GMSGFMT_no = /usr/bin/msgfmt
GMSGFMT_yes = /usr/bin/msgfmt
GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
MSGFMT_ = /usr/bin/msgfmt
MSGFMT_no = /usr/bin/msgfmt
MSGFMT_yes = /usr/bin/msgfmt
MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
XGETTEXT_ = /usr/bin/xgettext
XGETTEXT_no = /usr/bin/xgettext
XGETTEXT_yes = /usr/bin/xgettext
XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
MSGMERGE = msgmerge
MSGMERGE_UPDATE = /usr/bin/msgmerge --update
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter

POFILES =  fr.po nn.po ru.po
GMOFILES =  fr.gmo nn.gmo ru.gmo
UPDATEPOFILES =  fr.po-update nn.po-update ru.po-update
DUMMYPOFILES =  fr.nop nn.nop ru.nop
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
$(POFILES) $(GMOFILES) \
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)

POTFILES = \
     ../src/lib/bot/bot-api.c \
     ../src/lib/bot/bot-register.c \
     ../src/lib/bot/bot-test.c \
     ../src/lib/bot/bot-testmain.c \
     ../src/lib/bot/mod-brute/mod-brute-backend.c \
     ../src/lib/bot/mod-brute/mod-brute-move.c \
     ../src/lib/bot/mod-brute/mod-brute-repr.c \
     ../src/lib/bot/mod-brute/mod-brute-setup.c \
     ../src/lib/bot/mod-follow/mod-follow-backend.c \
     ../src/lib/bot/mod-follow/mod-follow-move.c \
     ../src/lib/bot/mod-follow/mod-follow-repr.c \
     ../src/lib/bot/mod-follow/mod-follow-setup.c \
     ../src/lib/bot/mod-idiot/mod-idiot-backend.c \
     ../src/lib/bot/mod-idiot/mod-idiot-move.c \
     ../src/lib/bot/mod-idiot/mod-idiot-repr.c \
     ../src/lib/bot/mod-idiot/mod-idiot-setup.c \
     ../src/lib/bot/mod-random/mod-random-backend.c \
     ../src/lib/bot/mod-random/mod-random-move.c \
     ../src/lib/bot/mod-random/mod-random-repr.c \
     ../src/lib/bot/mod-random/mod-random-setup.c \
     ../src/lib/cfg/cfg-arg.c \
     ../src/lib/cfg/cfg-defaults.c \
     ../src/lib/cfg/cfg-env.c \
     ../src/lib/cfg/cfg-exp.c \
     ../src/lib/cfg/cfg-format.c \
     ../src/lib/cfg/cfg-load.c \
     ../src/lib/cfg/cfg-option.c \
     ../src/lib/cfg/cfg-save.c \
     ../src/lib/cfg/cfg-setup.c \
     ../src/lib/cfg/cfg-test.c \
     ../src/lib/cfg/cfg-testmain.c \
     ../src/lib/cfg/cfg-unified.c \
     ../src/lib/cfg/cfg-xml.c \
     ../src/lib/cli/cli-api.c \
     ../src/lib/cli/cli-oob.c \
     ../src/lib/cli/cli-register.c \
     ../src/lib/cli/cli-test.c \
     ../src/lib/cli/cli-testmain.c \
     ../src/lib/cli/mod-http/mod-http-backend.c \
     ../src/lib/cli/mod-http/mod-http-data.c \
     ../src/lib/cli/mod-http/mod-http-get.c \
     ../src/lib/cli/mod-http/mod-http-info.c \
     ../src/lib/cli/mod-http/mod-http-message.c \
     ../src/lib/cli/mod-http/mod-http-oob.c \
     ../src/lib/cli/mod-http/mod-http-querythread.c \
     ../src/lib/cli/mod-http/mod-http-setup.c \
     ../src/lib/cli/mod-http/mod-http-state.c \
     ../src/lib/cli/mod-tcp/mod-tcp-backend.c \
     ../src/lib/cli/mod-tcp/mod-tcp-data.c \
     ../src/lib/cli/mod-tcp/mod-tcp-info.c \
     ../src/lib/cli/mod-tcp/mod-tcp-message.c \
     ../src/lib/cli/mod-tcp/mod-tcp-oob.c \
     ../src/lib/cli/mod-tcp/mod-tcp-setup.c \
     ../src/lib/cli/mod-tcp/mod-tcp-state.c \
     ../src/lib/cli/mod-udp/mod-udp-backend.c \
     ../src/lib/cli/mod-udp/mod-udp-data.c \
     ../src/lib/cli/mod-udp/mod-udp-info.c \
     ../src/lib/cli/mod-udp/mod-udp-message.c \
     ../src/lib/cli/mod-udp/mod-udp-oob.c \
     ../src/lib/cli/mod-udp/mod-udp-setup.c \
     ../src/lib/cli/mod-udp/mod-udp-state.c \
     ../src/lib/cns/cns-handler.c \
     ../src/lib/cns/cns-history.c \
     ../src/lib/cns/cns-support.c \
     ../src/lib/cns/cns-test.c \
     ../src/lib/cns/cns-testmain.c \
     ../src/lib/cnx/cnx-connection.c \
     ../src/lib/cnx/cnx-password.c \
     ../src/lib/cnx/cnx-test.c \
     ../src/lib/cnx/cnx-testmain.c \
     ../src/lib/cnx/cnx-tickettable.c \
     ../src/lib/dat/dat-atom.c \
     ../src/lib/dat/dat-block.c \
     ../src/lib/dat/dat-miss.c \
     ../src/lib/dat/dat-stack.c \
     ../src/lib/dat/dat-test.c \
     ../src/lib/dat/dat-testmain.c \
     ../src/lib/dat/dat-warehouse.c \
     ../src/lib/def/def-dummy.c \
     ../src/lib/dsp/dsp-data.c \
     ../src/lib/dsp/dsp-display.c \
     ../src/lib/dsp/dsp-param.c \
     ../src/lib/dsp/dsp-test.c \
     ../src/lib/dsp/dsp-testmain.c \
     ../src/lib/dsp/dsp-thread.c \
     ../src/lib/dyn/dyn-dl.c \
     ../src/lib/dyn/dyn-list.c \
     ../src/lib/dyn/dyn-path.c \
     ../src/lib/dyn/dyn-test.c \
     ../src/lib/dyn/dyn-testmain.c \
     ../src/lib/gen/gen-create.c \
     ../src/lib/gen/gen-seed.c \
     ../src/lib/gen/gen-test.c \
     ../src/lib/gen/gen-testmain.c \
     ../src/lib/gfx/gfx-api.c \
     ../src/lib/gfx/gfx-register.c \
     ../src/lib/gfx/gfx-sdl.c \
     ../src/lib/gfx/gfx-test.c \
     ../src/lib/gfx/gfx-testmain.c \
     ../src/lib/gfx/mod-caca/mod-caca-backend.c \
     ../src/lib/gfx/mod-caca/mod-caca-const.c \
     ../src/lib/gfx/mod-caca/mod-caca-display.c \
     ../src/lib/gfx/mod-caca/mod-caca-event.c \
     ../src/lib/gfx/mod-caca/mod-caca-game.c \
     ../src/lib/gfx/mod-caca/mod-caca-menu.c \
     ../src/lib/gfx/mod-caca/mod-caca-mode.c \
     ../src/lib/gfx/mod-caca/mod-caca-path.c \
     ../src/lib/gfx/mod-caca/mod-caca-repr.c \
     ../src/lib/gfx/mod-caca/mod-caca-resolution.c \
     ../src/lib/gfx/mod-caca/mod-caca-setup.c \
     ../src/lib/gfx/mod-caca/mod-caca-splash.c \
     ../src/lib/gfx/mod-caca/mod-caca-utils.c \
     ../src/lib/gfx/mod-gl1/gl1-background/gl1-background-api.c \
     ../src/lib/gfx/mod-gl1/gl1-background/gl1-background-register.c \
     ../src/lib/gfx/mod-gl1/gl1-background/gl1-bubbles/gl1-bubbles-backend.c \
     ../src/lib/gfx/mod-gl1/gl1-background/gl1-bubbles/gl1-bubbles-data.c \
     ../src/lib/gfx/mod-gl1/gl1-background/gl1-bubbles/gl1-bubbles-display.c \
     ../src/lib/gfx/mod-gl1/gl1-background/gl1-bubbles/gl1-bubbles-setup.c \
     ../src/lib/gfx/mod-gl1/gl1-background/gl1-void/gl1-void-backend.c \
     ../src/lib/gfx/mod-gl1/gl1-background/gl1-void/gl1-void-display.c \
     ../src/lib/gfx/mod-gl1/gl1-background/gl1-void/gl1-void-setup.c \
     ../src/lib/gfx/mod-gl1/gl1-hud/gl1-floating/gl1-floating-backend.c \
     ../src/lib/gfx/mod-gl1/gl1-hud/gl1-floating/gl1-floating-context.c \
     ../src/lib/gfx/mod-gl1/gl1-hud/gl1-floating/gl1-floating-data.c \
     ../src/lib/gfx/mod-gl1/gl1-hud/gl1-floating/gl1-floating-display.c \
     ../src/lib/gfx/mod-gl1/gl1-hud/gl1-floating/gl1-floating-setup.c \
     ../src/lib/gfx/mod-gl1/gl1-hud/gl1-hud-api.c \
     ../src/lib/gfx/mod-gl1/gl1-hud/gl1-hud-register.c \
     ../src/lib/gfx/mod-gl1/gl1-hud/gl1-tactical/gl1-tactical-backend.c \
     ../src/lib/gfx/mod-gl1/gl1-hud/gl1-tactical/gl1-tactical-data.c \
     ../src/lib/gfx/mod-gl1/gl1-hud/gl1-tactical/gl1-tactical-display.c \
     ../src/lib/gfx/mod-gl1/gl1-hud/gl1-tactical/gl1-tactical-setup.c \
     ../src/lib/gfx/mod-gl1/gl1-menu/gl1-cylinder/gl1-cylinder-backend.c \
     ../src/lib/gfx/mod-gl1/gl1-menu/gl1-cylinder/gl1-cylinder-center.c \
     ../src/lib/gfx/mod-gl1/gl1-menu/gl1-cylinder/gl1-cylinder-data.c \
     ../src/lib/gfx/mod-gl1/gl1-menu/gl1-cylinder/gl1-cylinder-display.c \
     ../src/lib/gfx/mod-gl1/gl1-menu/gl1-cylinder/gl1-cylinder-draw.c \
     ../src/lib/gfx/mod-gl1/gl1-menu/gl1-cylinder/gl1-cylinder-pick.c \
     ../src/lib/gfx/mod-gl1/gl1-menu/gl1-cylinder/gl1-cylinder-progress.c \
     ../src/lib/gfx/mod-gl1/gl1-menu/gl1-cylinder/gl1-cylinder-setup.c \
     ../src/lib/gfx/mod-gl1/gl1-menu/gl1-menu-api.c \
     ../src/lib/gfx/mod-gl1/gl1-menu/gl1-menu-register.c \
     ../src/lib/gfx/mod-gl1/gl1-splash/gl1-splash-data.c \
     ../src/lib/gfx/mod-gl1/gl1-splash/gl1-splash-display.c \
     ../src/lib/gfx/mod-gl1/gl1-splash/gl1-splash-setup.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-bitmaparray.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-bitmap.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-bitmaphash.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-cache.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-capture.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-color.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-colorize.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-const.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-cursor.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-data.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-debug.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-display.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-draw.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-event.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-font.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-game.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-gradient.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-icon.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-info.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-joystick.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-light.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-menucache.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-mode.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-mouse.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-path.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-pixel.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-render.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-resolution.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-shadedtext.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-smoothers.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-surface.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-texture1x1.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-texture.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-timer.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-viewport.c \
     ../src/lib/gfx/mod-gl1/gl1-utils/gl1-utils-zones.c \
     ../src/lib/gfx/mod-gl1/gl1-view/gl1-flat/gl1-flat-backend.c \
     ../src/lib/gfx/mod-gl1/gl1-view/gl1-flat/gl1-flat-cursorcontext.c \
     ../src/lib/gfx/mod-gl1/gl1-view/gl1-flat/gl1-flat-data.c \
     ../src/lib/gfx/mod-gl1/gl1-view/gl1-flat/gl1-flat-display.c \
     ../src/lib/gfx/mod-gl1/gl1-view/gl1-flat/gl1-flat-gamecontext.c \
     ../src/lib/gfx/mod-gl1/gl1-view/gl1-flat/gl1-flat-setup.c \
     ../src/lib/gfx/mod-gl1/gl1-view/gl1-flat/gl1-flat-viewport.c \
     ../src/lib/gfx/mod-gl1/gl1-view/gl1-view-api.c \
     ../src/lib/gfx/mod-gl1/gl1-view/gl1-view-register.c \
     ../src/lib/gfx/mod-gl1/mod-gl1-backend.c \
     ../src/lib/gfx/mod-gl1/mod-gl1-repr.c \
     ../src/lib/gfx/mod-gl1/mod-gl1-setup.c \
     ../src/lib/gfx/mod-gles2/mod-gles2-backend.c \
     ../src/lib/gfx/mod-gles2/mod-gles2-const.c \
     ../src/lib/gfx/mod-gles2/mod-gles2-mode.c \
     ../src/lib/gfx/mod-gles2/mod-gles2-path.c \
     ../src/lib/gfx/mod-gles2/mod-gles2-repr.c \
     ../src/lib/gfx/mod-gles2/mod-gles2-resolution.c \
     ../src/lib/gfx/mod-gles2/mod-gles2-setup.c \
     ../src/lib/gfx/mod-gles2/mod-gles2-viewport.c \
     ../src/lib/gfx/mod-soft/mod-soft-backend.c \
     ../src/lib/gfx/mod-soft/mod-soft-const.c \
     ../src/lib/gfx/mod-soft/mod-soft-mode.c \
     ../src/lib/gfx/mod-soft/mod-soft-path.c \
     ../src/lib/gfx/mod-soft/mod-soft-repr.c \
     ../src/lib/gfx/mod-soft/mod-soft-resolution.c \
     ../src/lib/gfx/mod-soft/mod-soft-setup.c \
     ../src/lib/gfx/mod-soft/mod-soft-viewport.c \
     ../src/lib/gfx/shared-sdl/shared-sdl-backend.c \
     ../src/lib/gfx/shared-sdl/shared-sdl-const.c \
     ../src/lib/gfx/shared-sdl/shared-sdl-event.c \
     ../src/lib/gfx/shared-sdl/shared-sdl-path.c \
     ../src/lib/gfx/shared-sdl/shared-sdl-timer.c \
     ../src/lib/glb/glb-base64.c \
     ../src/lib/glb/glb-sha1.c \
     ../src/lib/glb/glb-test.c \
     ../src/lib/glb/glb-testmain.c \
     ../src/lib/glb/gnulib-base64.c \
     ../src/lib/glb/gnulib-hmacsha1.c \
     ../src/lib/glb/gnulib-memxor.c \
     ../src/lib/glb/gnulib-sha1.c \
     ../src/lib/gui/gui-button.c \
     ../src/lib/gui/gui-coord.c \
     ../src/lib/gui/gui-input.c \
     ../src/lib/gui/gui-joystick.c \
     ../src/lib/gui/gui-keyboard.c \
     ../src/lib/gui/gui-keypress.c \
     ../src/lib/gui/gui-look.c \
     ../src/lib/gui/gui-menu.c \
     ../src/lib/gui/gui-menuitem.c \
     ../src/lib/gui/gui-mouse.c \
     ../src/lib/gui/gui-point.c \
     ../src/lib/gui/gui-poweroftwo.c \
     ../src/lib/gui/gui-quad.c \
     ../src/lib/gui/gui-rectarray.c \
     ../src/lib/gui/gui-rect.c \
     ../src/lib/gui/gui-segment.c \
     ../src/lib/gui/gui-smoother.c \
     ../src/lib/gui/gui-test.c \
     ../src/lib/gui/gui-testmain.c \
     ../src/lib/gui/gui-triangle.c \
     ../src/lib/gui/gui-videomode.c \
     ../src/lib/gui/gui-viewport.c \
     ../src/lib/gui/gui-zone.c \
     ../src/lib/hlp/hlp-about.c \
     ../src/lib/hlp/hlp-credits.c \
     ../src/lib/hlp/hlp-docmain.c \
     ../src/lib/hlp/hlp-keyword.c \
     ../src/lib/hlp/hlp-list.c \
     ../src/lib/hlp/hlp-options.c \
     ../src/lib/hlp/hlp-print.c \
     ../src/lib/hlp/hlp-reference.c \
     ../src/lib/hlp/hlp-test.c \
     ../src/lib/hlp/hlp-testmain.c \
     ../src/lib/img/img-repr.c \
     ../src/lib/img/img-screenshot.c \
     ../src/lib/img/img-test.c \
     ../src/lib/img/img-testmain.c \
     ../src/lib/ker/ker-armies.c \
     ../src/lib/ker/ker-capture.c \
     ../src/lib/ker/ker-checksumlog.c \
     ../src/lib/ker/ker-cursorarray.c \
     ../src/lib/ker/ker-cursor.c \
     ../src/lib/ker/ker-fighter.c \
     ../src/lib/ker/ker-gamestate.c \
     ../src/lib/ker/ker-gamestruct.c \
     ../src/lib/ker/ker-hexa.c \
     ../src/lib/ker/ker-history.c \
     ../src/lib/ker/ker-mapstate.c \
     ../src/lib/ker/ker-mapstruct.c \
     ../src/lib/ker/ker-move.c \
     ../src/lib/ker/ker-nodearray.c \
     ../src/lib/ker/ker-node.c \
     ../src/lib/ker/ker-placestruct.c \
     ../src/lib/ker/ker-scorearray.c \
     ../src/lib/ker/ker-score.c \
     ../src/lib/ker/ker-slotstate.c \
     ../src/lib/ker/ker-slotstruct.c \
     ../src/lib/ker/ker-spread.c \
     ../src/lib/ker/ker-tables.c \
     ../src/lib/ker/ker-team.c \
     ../src/lib/ker/ker-teammask.c \
     ../src/lib/ker/ker-test.c \
     ../src/lib/ker/ker-testmain.c \
     ../src/lib/ker/ker-trigo.c \
     ../src/lib/ker/ker-weapon.c \
     ../src/lib/ker/ker-zonestate.c \
     ../src/lib/ker/ker-zonestruct.c \
     ../src/lib/ldr/ldr-body.c \
     ../src/lib/ldr/ldr-bw.c \
     ../src/lib/ldr/ldr-color.c \
     ../src/lib/ldr/ldr-cursortexture.c \
     ../src/lib/ldr/ldr-cursortexturelayer.c \
     ../src/lib/ldr/ldr-dir.c \
     ../src/lib/ldr/ldr-exp.c \
     ../src/lib/ldr/ldr-grease.c \
     ../src/lib/ldr/ldr-hints.c \
     ../src/lib/ldr/ldr-layer.c \
     ../src/lib/ldr/ldr-metadata.c \
     ../src/lib/ldr/ldr-metalayer.c \
     ../src/lib/ldr/ldr-options.c \
     ../src/lib/ldr/ldr-param.c \
     ../src/lib/ldr/ldr-print.c \
     ../src/lib/ldr/ldr-read.c \
     ../src/lib/ldr/ldr-resampler.c \
     ../src/lib/ldr/ldr-rgba.c \
     ../src/lib/ldr/ldr-rules.c \
     ../src/lib/ldr/ldr-style.c \
     ../src/lib/ldr/ldr-teams.c \
     ../src/lib/ldr/ldr-test.c \
     ../src/lib/ldr/ldr-testmain.c \
     ../src/lib/ldr/ldr-texture.c \
     ../src/lib/ldr/ldr-use.c \
     ../src/lib/ldr/ldr-xmlmain.c \
     ../src/lib/lw6-callback.c \
     ../src/lib/lw6-control.c \
     ../src/lib/lw6-fix.c \
     ../src/lib/lw6-funcsbot.c \
     ../src/lib/lw6-funcs.c \
     ../src/lib/lw6-funcscfg.c \
     ../src/lib/lw6-funcscli.c \
     ../src/lib/lw6-funcscns.c \
     ../src/lib/lw6-funcsdsp.c \
     ../src/lib/lw6-funcsgen.c \
     ../src/lib/lw6-funcsgfx.c \
     ../src/lib/lw6-funcsgui.c \
     ../src/lib/lw6-funcshlp.c \
     ../src/lib/lw6-funcsimg.c \
     ../src/lib/lw6-funcsker.c \
     ../src/lib/lw6-funcsldr.c \
     ../src/lib/lw6-funcsmap.c \
     ../src/lib/lw6-funcsnet.c \
     ../src/lib/lw6-funcsp2p.c \
     ../src/lib/lw6-funcspil.c \
     ../src/lib/lw6-funcssnd.c \
     ../src/lib/lw6-funcssrv.c \
     ../src/lib/lw6-funcssys.c \
     ../src/lib/lw6-funcstsk.c \
     ../src/lib/lw6-global.c \
     ../src/lib/lw6-main.c \
     ../src/lib/lw6-options.c \
     ../src/lib/lw6-smobs.c \
     ../src/lib/lw6-test.c \
     ../src/lib/lw6-testmain.c \
     ../src/lib/map/map-body.c \
     ../src/lib/map/map-color.c \
     ../src/lib/map/map-coords.c \
     ../src/lib/map/map-cursortexture.c \
     ../src/lib/map/map-cursortexturelayer.c \
     ../src/lib/map/map-dup.c \
     ../src/lib/map/map-exp.c \
     ../src/lib/map/map-hexa.c \
     ../src/lib/map/map-layer.c \
     ../src/lib/map/map-level.c \
     ../src/lib/map/map-localinfo.c \
     ../src/lib/map/map-metadata.c \
     ../src/lib/map/map-metalayer.c \
     ../src/lib/map/map-param.c \
     ../src/lib/map/map-rules.c \
     ../src/lib/map/map-style.c \
     ../src/lib/map/map-teams.c \
     ../src/lib/map/map-test.c \
     ../src/lib/map/map-testmain.c \
     ../src/lib/map/map-texture.c \
     ../src/lib/map/map-weapon.c \
     ../src/lib/mat/mat-dmat2.c \
     ../src/lib/mat/mat-dmat3.c \
     ../src/lib/mat/mat-dmat4.c \
     ../src/lib/mat/mat-dvec2.c \
     ../src/lib/mat/mat-dvec3.c \
     ../src/lib/mat/mat-dvec4.c \
     ../src/lib/mat/mat-fmat2.c \
     ../src/lib/mat/mat-fmat3.c \
     ../src/lib/mat/mat-fmat4.c \
     ../src/lib/mat/mat-fvec2.c \
     ../src/lib/mat/mat-fvec3.c \
     ../src/lib/mat/mat-fvec4.c \
     ../src/lib/mat/mat-imat2.c \
     ../src/lib/mat/mat-imat3.c \
     ../src/lib/mat/mat-imat4.c \
     ../src/lib/mat/mat-ivec2.c \
     ../src/lib/mat/mat-ivec3.c \
     ../src/lib/mat/mat-ivec4.c \
     ../src/lib/mat/mat-similar.c \
     ../src/lib/mat/mat-test.c \
     ../src/lib/mat/mat-testmain.c \
     ../src/lib/mat/mat-xmat2.c \
     ../src/lib/mat/mat-xmat3.c \
     ../src/lib/mat/mat-xmat4.c \
     ../src/lib/mat/mat-xvec2.c \
     ../src/lib/mat/mat-xvec3.c \
     ../src/lib/mat/mat-xvec4.c \
     ../src/lib/msg/msg-cmd.c \
     ../src/lib/msg/msg-envelope.c \
     ../src/lib/msg/msg-meta.c \
     ../src/lib/msg/msg-oob.c \
     ../src/lib/msg/msg-sort.c \
     ../src/lib/msg/msg-test.c \
     ../src/lib/msg/msg-testmain.c \
     ../src/lib/msg/msg-ticket.c \
     ../src/lib/msg/msg-utils.c \
     ../src/lib/msg/msg-word.c \
     ../src/lib/msg/msg-z.c \
     ../src/lib/net/net-address.c \
     ../src/lib/net/net-connectable.c \
     ../src/lib/net/net-const.c \
     ../src/lib/net/net-counters.c \
     ../src/lib/net/net-dns.c \
     ../src/lib/net/net-error.c \
     ../src/lib/net/net-if.c \
     ../src/lib/net/net-line.c \
     ../src/lib/net/net-log.c \
     ../src/lib/net/net-setup.c \
     ../src/lib/net/net-socket.c \
     ../src/lib/net/net-tcp.c \
     ../src/lib/net/net-test.c \
     ../src/lib/net/net-testmain.c \
     ../src/lib/net/net-udp.c \
     ../src/lib/nod/nod-community.c \
     ../src/lib/nod/nod-constinfo.c \
     ../src/lib/nod/nod-dyninfo.c \
     ../src/lib/nod/nod-info.c \
     ../src/lib/nod/nod-refinfo.c \
     ../src/lib/nod/nod-test.c \
     ../src/lib/nod/nod-testmain.c \
     ../src/lib/p2p/p2p-backends.c \
     ../src/lib/p2p/p2p-clioob.c \
     ../src/lib/p2p/p2p-connectregistered.c \
     ../src/lib/p2p/p2p-data.c \
     ../src/lib/p2p/p2p-db.c \
     ../src/lib/p2p/p2p-entry.c \
     ../src/lib/p2p/p2p-explore.c \
     ../src/lib/p2p/p2p-flush.c \
     ../src/lib/p2p/p2p-node.c \
     ../src/lib/p2p/p2p-packet.c \
     ../src/lib/p2p/p2p-peeridlist.c \
     ../src/lib/p2p/p2p-recv.c \
     ../src/lib/p2p/p2p-srvoob.c \
     ../src/lib/p2p/p2p-tentacle.c \
     ../src/lib/p2p/p2p-test.c \
     ../src/lib/p2p/p2p-testmain.c \
     ../src/lib/pil/pil-bench.c \
     ../src/lib/pil/pil-command.c \
     ../src/lib/pil/pil-compute.c \
     ../src/lib/pil/pil-coords.c \
     ../src/lib/pil/pil-dump.c \
     ../src/lib/pil/pil-localcursors.c \
     ../src/lib/pil/pil-nopilot.c \
     ../src/lib/pil/pil-pilot.c \
     ../src/lib/pil/pil-seed.c \
     ../src/lib/pil/pil-seq.c \
     ../src/lib/pil/pil-spread.c \
     ../src/lib/pil/pil-suite.c \
     ../src/lib/pil/pil-test.c \
     ../src/lib/pil/pil-testmain.c \
     ../src/lib/pil/pil-worker.c \
     ../src/lib/scm/scm-coverage.c \
     ../src/lib/scm/scm-funcname.c \
     ../src/lib/scm/scm-test.c \
     ../src/lib/scm/scm-testmain.c \
     ../src/lib/scm/scm-utils.c \
     ../src/lib/scm/scm-wrapper.c \
     ../src/lib/sim/sim-mask.c \
     ../src/lib/sim/sim-print.c \
     ../src/lib/sim/sim-results.c \
     ../src/lib/sim/sim-simulate.c \
     ../src/lib/sim/sim-test.c \
     ../src/lib/sim/sim-testmain.c \
     ../src/lib/snd/mod-csound/mod-csound-backend.c \
     ../src/lib/snd/mod-csound/mod-csound-fx.c \
     ../src/lib/snd/mod-csound/mod-csound-music.c \
     ../src/lib/snd/mod-csound/mod-csound-path.c \
     ../src/lib/snd/mod-csound/mod-csound-repr.c \
     ../src/lib/snd/mod-csound/mod-csound-setup.c \
     ../src/lib/snd/mod-csound/mod-csound-volume.c \
     ../src/lib/snd/mod-csound/mod-csound-water.c \
     ../src/lib/snd/mod-ogg/mod-ogg-backend.c \
     ../src/lib/snd/mod-ogg/mod-ogg-const.c \
     ../src/lib/snd/mod-ogg/mod-ogg-fx.c \
     ../src/lib/snd/mod-ogg/mod-ogg-music.c \
     ../src/lib/snd/mod-ogg/mod-ogg-path.c \
     ../src/lib/snd/mod-ogg/mod-ogg-repr.c \
     ../src/lib/snd/mod-ogg/mod-ogg-setup.c \
     ../src/lib/snd/mod-ogg/mod-ogg-volume.c \
     ../src/lib/snd/mod-ogg/mod-ogg-water.c \
     ../src/lib/snd/snd-api.c \
     ../src/lib/snd/snd-register.c \
     ../src/lib/snd/snd-test.c \
     ../src/lib/snd/snd-testmain.c \
     ../src/lib/srv/mod-httpd/mod-httpd-backend.c \
     ../src/lib/srv/mod-httpd/mod-httpd-data.c \
     ../src/lib/srv/mod-httpd/mod-httpd-error.c \
     ../src/lib/srv/mod-httpd/mod-httpd-handshake.c \
     ../src/lib/srv/mod-httpd/mod-httpd-info.c \
     ../src/lib/srv/mod-httpd/mod-httpd-log.c \
     ../src/lib/srv/mod-httpd/mod-httpd-message.c \
     ../src/lib/srv/mod-httpd/mod-httpd-oob.c \
     ../src/lib/srv/mod-httpd/mod-httpd-replythread.c \
     ../src/lib/srv/mod-httpd/mod-httpd-request.c \
     ../src/lib/srv/mod-httpd/mod-httpd-response.c \
     ../src/lib/srv/mod-httpd/mod-httpd-setup.c \
     ../src/lib/srv/mod-httpd/mod-httpd-state.c \
     ../src/lib/srv/mod-tcpd/mod-tcpd-backend.c \
     ../src/lib/srv/mod-tcpd/mod-tcpd-data.c \
     ../src/lib/srv/mod-tcpd/mod-tcpd-handshake.c \
     ../src/lib/srv/mod-tcpd/mod-tcpd-info.c \
     ../src/lib/srv/mod-tcpd/mod-tcpd-message.c \
     ../src/lib/srv/mod-tcpd/mod-tcpd-oob.c \
     ../src/lib/srv/mod-tcpd/mod-tcpd-setup.c \
     ../src/lib/srv/mod-tcpd/mod-tcpd-state.c \
     ../src/lib/srv/mod-udpd/mod-udpd-backend.c \
     ../src/lib/srv/mod-udpd/mod-udpd-data.c \
     ../src/lib/srv/mod-udpd/mod-udpd-handshake.c \
     ../src/lib/srv/mod-udpd/mod-udpd-info.c \
     ../src/lib/srv/mod-udpd/mod-udpd-message.c \
     ../src/lib/srv/mod-udpd/mod-udpd-oob.c \
     ../src/lib/srv/mod-udpd/mod-udpd-setup.c \
     ../src/lib/srv/mod-udpd/mod-udpd-state.c \
     ../src/lib/srv/srv-api.c \
     ../src/lib/srv/srv-control.c \
     ../src/lib/srv/srv-oob.c \
     ../src/lib/srv/srv-register.c \
     ../src/lib/srv/srv-tcpaccepter.c \
     ../src/lib/srv/srv-test.c \
     ../src/lib/srv/srv-testmain.c \
     ../src/lib/srv/srv-udpbuffer.c \
     ../src/lib/sys/sys-arg.c \
     ../src/lib/sys/sys-assoc.c \
     ../src/lib/sys/sys-backtrace.c \
     ../src/lib/sys/sys-bazooka.c \
     ../src/lib/sys/sys-build.c \
     ../src/lib/sys/sys-cache.c \
     ../src/lib/sys/sys-checksum.c \
     ../src/lib/sys/sys-color.c \
     ../src/lib/sys/sys-convert.c \
     ../src/lib/sys/sys-cunit.c \
     ../src/lib/sys/sys-daemon.c \
     ../src/lib/sys/sys-debug.c \
     ../src/lib/sys/sys-dump.c \
     ../src/lib/sys/sys-env.c \
     ../src/lib/sys/sys-escape.c \
     ../src/lib/sys/sys-exec.c \
     ../src/lib/sys/sys-file.c \
     ../src/lib/sys/sys-global.c \
     ../src/lib/sys/sys-hash.c \
     ../src/lib/sys/sys-hexa.c \
     ../src/lib/sys/sys-history.c \
     ../src/lib/sys/sys-i18n.c \
     ../src/lib/sys/sys-id.c \
     ../src/lib/sys/sys-keyword.c \
     ../src/lib/sys/sys-list.c \
     ../src/lib/sys/sys-log.c \
     ../src/lib/sys/sys-math.c \
     ../src/lib/sys/sys-mem.c \
     ../src/lib/sys/sys-mutex.c \
     ../src/lib/sys/sys-nop.c \
     ../src/lib/sys/sys-openmp.c \
     ../src/lib/sys/sys-options.c \
     ../src/lib/sys/sys-path.c \
     ../src/lib/sys/sys-print.c \
     ../src/lib/sys/sys-process.c \
     ../src/lib/sys/sys-profiler.c \
     ../src/lib/sys/sys-progress.c \
     ../src/lib/sys/sys-random.c \
     ../src/lib/sys/sys-sdl.c \
     ../src/lib/sys/sys-serial.c \
     ../src/lib/sys/sys-shape.c \
     ../src/lib/sys/sys-signal.c \
     ../src/lib/sys/sys-sort.c \
     ../src/lib/sys/sys-spinlock.c \
     ../src/lib/sys/sys-str.c \
     ../src/lib/sys/sys-stream.c \
     ../src/lib/sys/sys-test.c \
     ../src/lib/sys/sys-testmain.c \
     ../src/lib/sys/sys-thread.c \
     ../src/lib/sys/sys-time.c \
     ../src/lib/sys/sys-url.c \
     ../src/lib/sys/sys-version.c \
     ../src/lib/sys/sys-vthread.c \
     ../src/lib/tsk/tsk-loader.c \
     ../src/lib/tsk/tsk-test.c \
     ../src/lib/tsk/tsk-testmain.c \
     ../src/lib/vox/vox-renderer.c \
     ../src/lib/vox/vox-test.c \
     ../src/lib/vox/vox-testmain.c \
     ../src/main.c \
     ../src/scriptpo.c

CATALOGS =  fr.gmo nn.gmo ru.gmo

# Makevars gets inserted here. (Don't remove this line!)
# Makefile variables for PO directory in any package using GNU gettext.

# Usually the message domain is the same as the package name.
DOMAIN = $(PACKAGE)

# These two variables depend on the location of this directory.
subdir = po
top_builddir = ..

# These options get passed to xgettext.
XGETTEXT_OPTIONS = --keyword=_ --keyword=N_

# This is the copyright holder that gets inserted into the header of the
# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
# package.  (Note that the msgstr strings, extracted from the package's
# sources, belong to the copyright holder of the package.)  Translators are
# expected to transfer the copyright for their translations to this person
# or entity, or to disclaim their copyright.  The empty string stands for
# the public domain; in this case the translators are expected to disclaim
# their copyright.
COPYRIGHT_HOLDER = Christian Mauduit

# This is the email address or URL to which the translators shall report
# bugs in the untranslated strings:
# - Strings which are not entire sentences, see the maintainer guidelines
#   in the GNU gettext documentation, section 'Preparing Strings'.
# - Strings which use unclear terms or require additional context to be
#   understood.
# - Strings which make invalid assumptions about notation of date, time or
#   money.
# - Pluralisation problems.
# - Incorrect English spelling.
# - Incorrect formatting.
# It can be your email address, or a mailing list address where translators
# can write to without being subscribed, or the URL of a web page through
# which the translators can contact you.
MSGID_BUGS_ADDRESS = $(PACKAGE_BUGREPORT)

# This is the list of locale categories, beyond LC_MESSAGES, for which the
# message catalogs shall be used.  It is usually empty.
EXTRA_LOCALE_CATEGORIES =

.SUFFIXES:
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update

.po.mo:
	@echo "$(MSGFMT) -c -o $@ $<"; \
	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@

.po.gmo:
	@lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o $${lang}.gmo $${lang}.po"; \
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo

.sin.sed:
	sed -e '/^#/d' $< > t-$@
	mv t-$@ $@


all: check-macro-version all-yes

all-yes: stamp-po
all-no:

# Ensure that the gettext macros and this Makefile.in.in are in sync.
check-macro-version:
	@test "$(GETTEXT_MACRO_VERSION)" = "0.17" \
	  || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version 0.17" 1>&2; \
	       exit 1; \
	     }

# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
# we don't want to bother translators with empty POT files). We assume that
# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
# In this case, stamp-po is a nop (i.e. a phony target).

# stamp-po is a timestamp denoting the last time at which the CATALOGS have
# been loosely updated. Its purpose is that when a developer or translator
# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
# invocations of "make" will do nothing. This timestamp would not be necessary
# if updating the $(CATALOGS) would always touch them; however, the rule for
# $(POFILES) has been designed to not touch files that don't need to be
# changed.
stamp-po: $(srcdir)/$(DOMAIN).pot
	test ! -f $(srcdir)/$(DOMAIN).pot || \
	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
	  echo "touch stamp-po" && \
	  echo timestamp > stamp-poT && \
	  mv stamp-poT stamp-po; \
	}

# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
	if LC_ALL=C grep 'GNU liquidwar6' $(top_srcdir)/* 2>/dev/null | grep -v 'libtool:' >/dev/null; then \
	  package_gnu='GNU '; \
	else \
	  package_gnu=''; \
	fi; \
	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
	else \
	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
	fi; \
	case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
	  '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS)  \
	      --files-from=$(srcdir)/POTFILES.in \
	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
	      --msgid-bugs-address="$$msgid_bugs_address" \
	    ;; \
	  *) \
	    $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	      --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS)  \
	      --files-from=$(srcdir)/POTFILES.in \
	      --copyright-holder='$(COPYRIGHT_HOLDER)' \
	      --package-name="$${package_gnu}liquidwar6" \
	      --package-version='0.4.3681' \
	      --msgid-bugs-address="$$msgid_bugs_address" \
	    ;; \
	esac
	test ! -f $(DOMAIN).po || { \
	  if test -f $(srcdir)/$(DOMAIN).pot; then \
	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
	    else \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	    fi; \
	  else \
	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	  fi; \
	}

# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
# every "make" invocation, only create it when it is missing.
# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
$(srcdir)/$(DOMAIN).pot:
	$(MAKE) $(DOMAIN).pot-update

# This target rebuilds a PO file if $(DOMAIN).pot has changed.
# Note that a PO file is not touched if it doesn't need to be changed.
$(POFILES): $(srcdir)/$(DOMAIN).pot
	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
	if test -f "$(srcdir)/$${lang}.po"; then \
	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot"; \
	  cd $(srcdir) && $(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot; \
	else \
	  $(MAKE) $${lang}.po-create; \
	fi


install: install-exec install-data
install-exec:
install-data: install-data-yes
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
	  for file in $(DISTFILES.common) Makevars.template; do \
	    $(INSTALL_DATA) $(srcdir)/$$file \
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	  for file in Makevars; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
install-data-no: all
install-data-yes: all
	$(mkdir_p) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $(DESTDIR)$$dir; \
	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
	         for file in *; do \
	           if test -f $$file; then \
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
	           fi; \
	         done); \
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	      else \
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
	          :; \
	        else \
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        fi; \
	      fi; \
	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
	    fi; \
	  done; \
	done

install-strip: install

installdirs: installdirs-exec installdirs-data
installdirs-exec:
installdirs-data: installdirs-data-yes
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
	else \
	  : ; \
	fi
installdirs-data-no:
installdirs-data-yes:
	$(mkdir_p) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $(DESTDIR)$$dir; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
	         for file in *; do \
	           if test -f $$file; then \
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
	           fi; \
	         done); \
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	      else \
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
	          :; \
	        else \
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        fi; \
	      fi; \
	    fi; \
	  done; \
	done

# Define this as empty until I found a useful application.
installcheck:

uninstall: uninstall-exec uninstall-data
uninstall-exec:
uninstall-data: uninstall-data-yes
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  for file in $(DISTFILES.common) Makevars.template; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
uninstall-data-no:
uninstall-data-yes:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
	    rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	  done; \
	done

check: all

info dvi ps pdf html tags TAGS ctags CTAGS ID:

mostlyclean:
	rm -f remove-potcdate.sed
	rm -f stamp-poT
	rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES *.mo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f stamp-po $(GMOFILES)

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir:
	$(MAKE) update-po
	@$(MAKE) dist2
# This is a separate target because 'update-po' must be executed before.
dist2: stamp-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  dists="$$dists Makevars.template"; \
	fi; \
	if test -f $(srcdir)/$(DOMAIN).pot; then \
	  dists="$$dists $(DOMAIN).pot stamp-po"; \
	fi; \
	if test -f $(srcdir)/ChangeLog; then \
	  dists="$$dists ChangeLog"; \
	fi; \
	for i in 0 1 2 3 4 5 6 7 8 9; do \
	  if test -f $(srcdir)/ChangeLog.$$i; then \
	    dists="$$dists ChangeLog.$$i"; \
	  fi; \
	done; \
	if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
	for file in $$dists; do \
	  if test -f $$file; then \
	    cp -p $$file $(distdir) || exit 1; \
	  else \
	    cp -p $(srcdir)/$$file $(distdir) || exit 1; \
	  fi; \
	done

update-po: Makefile
	$(MAKE) $(DOMAIN).pot-update
	test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
	$(MAKE) update-gmo

# General rule for creating PO files.

.nop.po-create:
	@lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
	echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
	exit 1

# General rule for updating PO files.

.nop.po-update:
	@lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
	if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; fi; \
	tmpdir=`pwd`; \
	echo "$$lang:"; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}$(MSGMERGE) $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
	cd $(srcdir); \
	if $(MSGMERGE) $$lang.po $(DOMAIN).pot -o $$tmpdir/$$lang.new.po; then \
	  if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	    rm -f $$tmpdir/$$lang.new.po; \
	  else \
	    if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	      :; \
	    else \
	      echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	      exit 1; \
	    fi; \
	  fi; \
	else \
	  echo "msgmerge for $$lang.po failed!" 1>&2; \
	  rm -f $$tmpdir/$$lang.new.po; \
	fi

$(DUMMYPOFILES):

update-gmo: Makefile $(GMOFILES)
	@:

Makefile: Makefile.in.in Makevars $(top_builddir)/config.status POTFILES.in LINGUAS
	cd $(top_builddir) \
	  && $(SHELL) ./config.status $(subdir)/$@.in po-directories

force:

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
# Special Makefile rules for English message catalogs with quotation marks.

DISTFILES.common.extra1 = quot.sed boldquot.sed en@quot.header en@boldquot.header insert-header.sin Rules-quot

.SUFFIXES: .insert-header .po-update-en

en@quot.po-create:
	$(MAKE) en@quot.po-update
en@boldquot.po-create:
	$(MAKE) en@boldquot.po-update

en@quot.po-update: en@quot.po-update-en
en@boldquot.po-update: en@boldquot.po-update-en

.insert-header.po-update-en:
	@lang=`echo $@ | sed -e 's/\.po-update-en$$//'`; \
	if test "$(PACKAGE)" = "gettext"; then PATH=`pwd`/../src:$$PATH; GETTEXTLIBDIR=`cd $(top_srcdir)/src && pwd`; export GETTEXTLIBDIR; fi; \
	tmpdir=`pwd`; \
	echo "$$lang:"; \
	ll=`echo $$lang | sed -e 's/@.*//'`; \
	LC_ALL=C; export LC_ALL; \
	cd $(srcdir); \
	if $(MSGINIT) -i $(DOMAIN).pot --no-translator -l $$ll -o - 2>/dev/null | sed -f $$tmpdir/$$lang.insert-header | $(MSGCONV) -t UTF-8 | $(MSGFILTER) sed -f `echo $$lang | sed -e 's/.*@//'`.sed 2>/dev/null > $$tmpdir/$$lang.new.po; then \
	  if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	    rm -f $$tmpdir/$$lang.new.po; \
	  else \
	    if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	      :; \
	    else \
	      echo "creation of $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	      exit 1; \
	    fi; \
	  fi; \
	else \
	  echo "creation of $$lang.po failed!" 1>&2; \
	  rm -f $$tmpdir/$$lang.new.po; \
	fi

en@quot.insert-header: insert-header.sin
	sed -e '/^#/d' -e 's/HEADER/en@quot.header/g' $(srcdir)/insert-header.sin > en@quot.insert-header

en@boldquot.insert-header: insert-header.sin
	sed -e '/^#/d' -e 's/HEADER/en@boldquot.header/g' $(srcdir)/insert-header.sin > en@boldquot.insert-header

mostlyclean: mostlyclean-quot
mostlyclean-quot:
	rm -f *.insert-header
