#
# This is an unmaintained Makefile for the Xnee project
#
#  ...... if you do not wish to use configure you can use
#  this one instead. You are on your own though :)
#

PACKAGE=\"\"
VERSION=\"\"
#
# gnee uses config.h (copied from config.xnee)
#
CC=gcc

#-Werror
PEDANTIC_FLAGS =  -W -Wall -pedantic  \
	-Wpointer-arith -Wcast-qual \
	-Wstrict-prototypes -Wmissing-prototypes \
	-Wmissing-declarations -Wmissing-noreturn \
        -Wformat=2 -Wimplicit -Wmain \
        -Wcomment -Wformat-nonliteral \
        -Wmissing-braces -Wparentheses -Wreturn-type \
        -Wswitch -Wunused -Wundef \
        -Wbad-function-cast -Wcast-qual -Wcast-align \
        -Wredundant-decls -Wnested-externs 
# -Wswitch-default -Wswitch-enum -Wendif-labels
# -Werror

LINT=splint
LINT_TAR=Xnee-lint.tar

##XOSD_LIB=-lxosd
XOSD_LIB=

# These flags seem to break compilation due to cygwin 
# use on non-cygwin platform only
#SEMI_FLAGS = \
#        -pedantic-errors  



GUI_C_FLAGS= -I. -Ilibxnee/include -Ignee/src -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo  -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include       -g  -DPACKAGE_DATA_DIR=\""/usr/local/share"\"   -DPACKAGE_LOCALE_DIR=\""/usr/local//locale"\" -DXTHREADS -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
GUI_LD_FLAGS=  -L/usr/X11R6/lib  -L. -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lfontconfig   -lXrandr -lXext -lXcursor  -lpango-1.0  -lXrender -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lxnee 

CFLAGS =  -DPACKAGE=${PACKAGE} -DVERSION=${VERSION} -DHAVE_STDARG_H=1 \
        -I/usr/X11R6/include -I./libxnee/include/ -Icnee/include -g \
        ${PEDANTIC_FLAGS} 


LINTFLAGS =  -DPACKAGE=${PACKAGE} -DVERSION=${VERSION} -DHAVE_STDARG_H=1 \
        -I/usr/X11R6/include -I./libxnee/include/ -Ixnee/src \
	-D__GNUC__ \
	-warnposix -mustfreefresh -temptrans -compdef -mustfreeonly

LDFLAGS = -L/usr/X11R6/lib -L./lib -L/usr/X/lib

LIBS = -lX11 -lXext -lXtst -lpthread ${XOSD_LIB}

CLI_SRC =  cnee/src/parse.c  cnee/src/main.c  cnee/src/cnee_strings.c cnee/src/cnee_printer.c cnee/src/cnee_fake.c cnee/src/cnee_demo.c
GUI_SRC =  gnee/src/callbacks.c   gnee/src/gnee_xnee.c  gnee/src/interface.c  gnee/src/main.c  gnee/src/recordables.c  gnee/src/support.c
COMM_SRC =   libxnee/src/datastrings.c \
  libxnee/src/feedback.c \
  libxnee/src/print.c \
  libxnee/src/print_varargs.c \
  libxnee/src/xnee.c \
  libxnee/src/xnee_buffer.c \
  libxnee/src/xnee_callback.c \
  libxnee/src/xnee_dl.c \
  libxnee/src/xnee_error.c \
  libxnee/src/xnee_expr.c \
  libxnee/src/xnee_fake.c \
  libxnee/src/xnee_grab.c \
  libxnee/src/xnee_km.c \
  libxnee/src/xnee_range.c \
  libxnee/src/xnee_record.c \
  libxnee/src/xnee_replay.c \
  libxnee/src/xnee_resolution.c \
  libxnee/src/xnee_resource.c \
  libxnee/src/xnee_sem.c \
  libxnee/src/xnee_setget.c \
  libxnee/src/xnee_threshold.c \
  libxnee/src/xnee_time.c \
  libxnee/src/xnee_utils.c \
  libxnee/src/xnee_keysym.c \
  libxnee/src/xnee_strings.c \
  libxnee/src/xnee_display.c \
  libxnee/src/xnee_alloc.c \
  libxnee/src/xnee_session.c \
  libxnee/src/xnee_fileop.c \
  libxnee/src/xnee_plugin.c \
  libxnee/src/xnee_settings.c \
  libxnee/src/xnee_window.c 


CLI_OBJS      := $(CLI_SRC:%.c=%.o)
#GUI_OBJS      := $(GUI_SRC:%.c=%.o)
COMM_OBJS     := $(COMM_SRC:%.c=%.o)

CLI_LINT      := $(CLI_SRC:%.c=%.lint)
COMM_LINT     := $(COMM_SRC:%.c=%.lint)


${COMM_OBJS}: Makefile.xnee

OBJS = ${COMM_OBJS} 

.c.o: 
	${CC} -g ${CFLAGS} -c $< -o $@
.c.lint:
	@echo "Doing lint...:   ${LINT}  $< to $@"
	-${LINT} ${LINTFLAGS}  $<  > $@


XNEELIB = libxnee.a

XNEE_CLI= cnee/src/cnee  
XNEE_GUI= gnee/src/gnee

all: config ${XNEE_CLI} ${XNEE_GUI}
	rm config.h

clean:
	\rm -fr ${OBJS} ${CLI_OBJS} ${GUI_OBJS} ${XNEE_CLI} ${XNEE_GUI} ${XNEELIB} src/*/*~ *~ src/*/*.o */a.out core 

lib : ${XNEELIB}

${XNEELIB}: ${OBJS} ${COMM_OBJS} 
	ar -rv ${XNEELIB} ${OBJS} 

cli : ${XNEE_CLI}
gui : ${XNEE_GUI}
bin : cli gui
bin2 : ${XNEE_CLI} ${XNEE_GUI}


${XNEE_CLI}: ${XNEELIB} ${CLI_OBJS}
	${CC}  -o ${XNEE_CLI}  ${CLI_OBJS} ${LDFLAGS} ${LIBS} -L./ -lxnee ${LIBS}

config:
	cp config.xnee  config.h


#${XNEE_GUI}: ${XNEELIB} ${GUI_OBJS}
${XNEE_GUI}: ${GUI_OBJS} config.h
	${CC}  -o ${XNEE_GUI} ${GUI_C_FLAGS} ${GUI_SRC} ${GUI_LD_FLAGS}  ${LIBS}


lintsave: ${COMM_LINT}  ${CLI_LINT}
	tar cvf ${LINT_TAR} ${COMM_LINT} ${CLI_LINT}
	gzip ${LINT_TAR}
	@echo "Created ${LINT_TAR}.gz"

lint: ${COMM_SRC}  ${CLI_SRC}
	@echo " ${LINT}  $< "
	-${LINT} ${LINTFLAGS}  $< 
