# Generated automatically from Makefile.in by configure.
SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = .
VPATH = .:./missing

CC = gcc
YACC = bison -y
PURIFY =
AUTOCONF = autoconf


prefix = /usr/local
CFLAGS = -g -O2
CPPFLAGS = -I. -I. -I${prefix}/include
LDFLAGS =  $(CFLAGS) 
XLDFLAGS = 
EXTLIBS = 
LIBS = -ldl -lm  $(EXTLIBS)
MISSING =  memcmp.o strtod.o 
LDSHARED = ld
DLDFLAGS = 
SOLIBS = 

RUBY_INSTALL_NAME=ruby
EXEEXT = .dSYM
PROGRAM=$(RUBY_INSTALL_NAME)$(EXEEXT)

#### End of system configuration section. ####

MAJOR=	1
MINOR=	4
TEENY=	6

LIBRUBY_A     = lib$(RUBY_INSTALL_NAME).a
LIBRUBY_SO    = lib$(RUBY_INSTALL_NAME).so.$(MAJOR).$(MINOR).$(TEENY)
LIBRUBY_ALIASES= lib$(RUBY_INSTALL_NAME).so
LIBRUBY	      = $(LIBRUBY_A)
LIBRUBYARG    = $(LIBRUBY_A)

EXTOBJS	      = 

MAINOBJ	      = main.o

OBJS	      = array.o \
		bignum.o \
		class.o \
		compar.o \
		dir.o \
		dln.o \
		enum.o \
		error.o \
		eval.o \
		file.o \
		gc.o \
		hash.o \
		inits.o \
		io.o \
		marshal.o \
		math.o \
		numeric.o \
		object.o \
		pack.o \
		parse.o \
		process.o \
		prec.o \
		random.o \
		range.o \
		re.o \
		regex.o \
		ruby.o \
		signal.o \
		sprintf.o \
		st.o \
		string.o \
		struct.o \
		time.o \
		util.o \
		variable.o \
		version.o \
		$(MISSING)

all:		miniruby$(EXEEXT) rbconfig.rb $(LIBRUBY)
		@./miniruby$(EXEEXT) -Xext extmk.rb 

miniruby$(EXEEXT):	config.status $(LIBRUBY_A) $(MAINOBJ) dmyext.o
		@rm -f $@
		$(PURIFY) $(CC) $(LDFLAGS) $(MAINOBJ) dmyext.o $(LIBRUBY_A) $(LIBS) -o $@

$(PROGRAM):     $(LIBRUBY) $(MAINOBJ) $(EXTOBJS) 
		@rm -f $@
		$(PURIFY) $(CC) $(LDFLAGS) $(XLDFLAGS) $(MAINOBJ) $(EXTOBJS) $(LIBRUBYARG) $(LIBS) -o $@

$(LIBRUBY_A):	$(OBJS) dmyext.o
		ar rcu $@ $(OBJS) dmyext.o
		@-ranlib $@ 2> /dev/null || true

$(LIBRUBY_SO):	$(OBJS) dmyext.o
		$(LDSHARED) $(DLDFLAGS) $(SOLIBS) $(OBJS) dmyext.o -o $@
		@-./miniruby -e 'ARGV.each{|link| File.delete link if File.exist? link; \
						  File.symlink "$(LIBRUBY_SO)", link}' \
				$(LIBRUBY_ALIASES) || true

install:	rbconfig.rb
		./miniruby$(EXEEXT) $(srcdir)/instruby.rb $(DESTDIR)

clean:;		@rm -f $(OBJS) $(LIBRUBY_A) $(LIBRUBY_SO) $(LIBRUBY_ALIASES) $(MAINOBJ) rbconfig.rb
		@rm -f ext/extinit.c ext/extinit.o dmyext.o
		@-./miniruby$(EXEEXT) -Xext extmk.rb clean 2> /dev/null || true
		@rm -f $(PROGRAM) miniruby$(EXEEXT)

distclean:	clean
		@rm -f Makefile ext/extmk.rb config.h
		@rm -f ext/config.cache config.cache config.log config.status
		@rm -f *~ core *.core gmon.out y.tab.c y.output ruby.imp

realclean:	distclean
		@rm -f parse.c
		@rm -f lex.c

test:		miniruby$(EXEEXT)
		@./miniruby$(EXEEXT) $(srcdir)/rubytest.rb

rbconfig.rb:	miniruby$(EXEEXT)
		@./miniruby$(EXEEXT) $(srcdir)/mkconfig.rb rbconfig.rb

config.status:	$(srcdir)/configure
		$(SHELL) ./config.status --recheck

$(srcdir)/configure: $(srcdir)/configure.in
		cd $(srcdir) && $(AUTOCONF)

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

lex.c: keywords
	gperf -p -j1 -i 1 -g -o -t -N rb_reserved_word -k1,3,$$ ./keywords > lex.c

parse.c: parse.y
	$(YACC) $<
	mv -f y.tab.c parse.c

parse.o: parse.c

alloca.o: ./missing/alloca.c
	$(CC) -I. $(CFLAGS) $(CPPFLAGS) -c ./missing/alloca.c

crypt.o: ./missing/crypt.c
	$(CC) -I. $(CFLAGS) $(CPPFLAGS) -c ./missing/crypt.c

dup2.o: ./missing/dup2.c
	$(CC) -I. $(CFLAGS) $(CPPFLAGS) -c ./missing/dup2.c

finite.o: ./missing/finite.c
	$(CC) -I. $(CFLAGS) $(CPPFLAGS) -c ./missing/finite.c

flock.o: ./missing/flock.c
	$(CC) -I. $(CFLAGS) $(CPPFLAGS) -c ./missing/flock.c

isinf.o: ./missing/isinf.c
	$(CC) -I. $(CFLAGS) $(CPPFLAGS) -c ./missing/isinf.c

isnan.o: ./missing/isnan.c
	$(CC) -I. $(CFLAGS) $(CPPFLAGS) -c ./missing/isnan.c

fnmatch.o: ./missing/fnmatch.c
	$(CC) -I. $(CFLAGS) $(CPPFLAGS) -c ./missing/fnmatch.c

memcmp.o: ./missing/memcmp.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/memcmp.c

memmove.o: ./missing/memmove.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/memmove.c

mkdir.o: ./missing/mkdir.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/mkdir.c

vsnprintf.o: ./missing/vsnprintf.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/vsnprintf.c

strcasecmp.o: ./missing/strcasecmp.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/strcasecmp.c

strncasecmp.o: ./missing/strncasecmp.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/strncasecmp.c

strchr.o: ./missing/strchr.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/strchr.c

strdup.o: ./missing/strdup.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/strdup.c

strerror.o: ./missing/strerror.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/strerror.c

strftime.o: ./missing/strftime.c
	$(CC) -I. $(CFLAGS) $(CPPFLAGS) -c ./missing/strftime.c

strstr.o: ./missing/strstr.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/strstr.c

strtod.o: ./missing/strtod.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/strtod.c

strtol.o: ./missing/strtol.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/strtol.c

strtoul.o: ./missing/strtoul.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/strtoul.c

nt.o: ./missing/nt.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/nt.c

x68.o: ./missing/x68.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/x68.c

os2.o: ./missing/os2.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/os2.c

dl_os2.o: ./missing/dl_os2.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c ./missing/dl_os2.c

# Prevent GNU make v3 from overflowing arg limit on SysV.
.NOEXPORT:
###
parse.o: parse.y ruby.h config.h defines.h intern.h env.h node.h st.h regex.h util.h lex.c
###
array.o: array.c ruby.h config.h defines.h intern.h
bignum.o: bignum.c ruby.h config.h defines.h intern.h
class.o: class.c ruby.h config.h defines.h intern.h node.h st.h
compar.o: compar.c ruby.h config.h defines.h intern.h
dir.o: dir.c ruby.h config.h defines.h intern.h
dln.o: dln.c config.h defines.h dln.h
dmyext.o: dmyext.c
enum.o: enum.c ruby.h config.h defines.h intern.h
error.o: error.c ruby.h config.h defines.h intern.h env.h
eval.o: eval.c ruby.h config.h defines.h intern.h node.h env.h rubysig.h st.h dln.h
file.o: file.c ruby.h config.h defines.h intern.h rubyio.h rubysig.h
gc.o: gc.c ruby.h config.h defines.h intern.h rubysig.h st.h node.h env.h re.h regex.h
hash.o: hash.c ruby.h config.h defines.h intern.h st.h rubysig.h util.h
inits.o: inits.c ruby.h config.h defines.h intern.h
io.o: io.c ruby.h config.h defines.h intern.h rubyio.h rubysig.h env.h
main.o: main.c ruby.h config.h defines.h intern.h
marshal.o: marshal.c ruby.h config.h defines.h intern.h rubyio.h st.h
prec.o: prec.c ruby.h config.h defines.h intern.h
math.o: math.c ruby.h config.h defines.h intern.h
numeric.o: numeric.c ruby.h config.h defines.h intern.h
object.o: object.c ruby.h config.h defines.h intern.h st.h
pack.o: pack.c ruby.h config.h defines.h intern.h
process.o: process.c ruby.h config.h defines.h intern.h rubysig.h st.h
random.o: random.c ruby.h config.h defines.h intern.h
range.o: range.c ruby.h config.h defines.h intern.h
re.o: re.c ruby.h config.h defines.h intern.h re.h regex.h
regex.o: regex.c config.h regex.h util.h
ruby.o: ruby.c ruby.h config.h defines.h intern.h dln.h util.h
signal.o: signal.c ruby.h config.h defines.h intern.h rubysig.h
sprintf.o: sprintf.c ruby.h config.h defines.h intern.h
st.o: st.c config.h st.h
string.o: string.c ruby.h config.h defines.h intern.h re.h regex.h
struct.o: struct.c ruby.h config.h defines.h intern.h
time.o: time.c ruby.h config.h defines.h intern.h
util.o: util.c ruby.h config.h defines.h intern.h util.h
variable.o: variable.c ruby.h config.h defines.h intern.h env.h node.h st.h
version.o: version.c ruby.h config.h defines.h intern.h version.h
